## libicd-network-null 1.0

=== Makefile ===
all: libicd_network_null.so

libicd_network_null.o: libicd_network_null.c
	gcc -fpic -fPIC `pkg-config --cflags glib-2.0` -I /usr/include/icd/ -o $@ -c $<

libicd_network_null.so: libicd_network_null.o
	gcc -shared -Wl,-soname,$@ -o $@ $<


distclean:
	rm -f *~ *.o *.so

=== debian/changelog ===
libicd-network-null (1.0) unstable; urgency=low

  * Initial release. 

 -- Matan <matan@svgalib.org>  Wed, 20 Jan 2010 21:00:50 +0200

=== debian/control ===
Source: libicd-network-null
Section: libs
Priority: optional
Build-Depends: debhelper (>= 4.1.0), pkg-config (>= 0.18), libglib2.0-dev, icd2-dev
Maintainer: Matan Ziv-Av <matan@svgalib.org>
Standards-Version: 3.6.1.1

Package: libicd-network-null
Architecture: any
Depends: 
Description: Implement a null network type.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

config.status: 
	dh_testdir
	# Add here commands to configure the package.


build: build-stamp
	make all

build-stamp:  
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
